Skip to main content
GET
/
v2
/
annotation-configs
/
{annotation_config_id}
Get an annotation config
curl --request GET \
  --url https://api.arize.com/v2/annotation-configs/{annotation_config_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "space_id": "<string>",
  "minimum_score": 123,
  "maximum_score": 123,
  "optimization_direction": "none"
}

Authorizations

Authorization
string
header
required

Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format

Path Parameters

annotation_config_id
string
required

The unique annotation config identifier (base64) A universally unique identifier (base64-encoded opaque string).

Example:

"RW50aXR5OjEyMzQ1"

Response

An annotation config object

id
string
required

The unique identifier for the annotation config

name
string
required

The name of the annotation config

created_at
string<date-time>
required

The timestamp for when the annotation config was created

space_id
string
required

The space id the annotation config belongs to

type
enum<string>
required

Discriminator value identifying a continuous annotation config.

Available options:
continuous
minimum_score
number<double>
required

The minimum score value

maximum_score
number<double>
required

The maximum score value

optimization_direction
enum<string>
default:none

Direction for optimization. When absent, the server treats the value as none.

Available options:
maximize,
minimize,
none